curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Datensätze, die bereits im System erstellt wurden, zu einer Liste hinzufügen und/oder von dieser entfernen.
Dieser Endpunkt funktioniert nur bei Listen mit einem „processingType“ von „MANUAL“ oder „SNAPSHOT“.
curl --request PUT \
--url https://api.hubapi.com/crm/v3/lists/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"123",
"456",
"789"
],
"recordIdsToRemove": [
"654"
]
}
'{
"recordIdsAdded": [
"123",
"456"
],
"recordIdsMissing": [
"789"
],
"recordIdsRemoved": [
"654"
]
}Unterstützte Produkte
Erforderliche Bereiche
cms.membership.access_groups.writecrm.lists.readcrm.lists.writeThe access token received from the authorization server in the OAuth 2.0 flow.
Die ILS-ID der Liste „MANUAL“ oder „SNAPSHOT“.
The IDs of the records to add and/or remove from the list.
Successful response
The IDs of the records that were added, removed, and/or found to be missing as a result of the
membership update request.